eoIncrementor(3)

NAME
eoIncrementor - an eoUpdater that simply increments a counter

SYNOPSIS

#include <eoUpdater.h>

Inherits eoUpdater.

  Public Member Functions
eoIncrementor (T &_counter, T _stepsize=1)
Default Ctor - requires a reference to the thing to increment.
virtual void operator() ()
Simply increments.
virtual std::string className (void) const

  Private Attributes
T & counter
T stepsize

Detailed Description

  template<class T> class eoIncrementor< T >
an eoUpdater that simply increments a counter

Definition at line 50 of file eoUpdater.h.

Author

Generated automatically by Doxygen for EO from the source code.